PhysicalConnector (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physconn.PhysicalConnector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physconn
Interface PhysicalConnector

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, java.io.Serializable

All Known Subinterfaces:
  Slot

    public interface PhysicalConnector

extends PhysicalElement

Created by IntelliJ IDEA. User: viswanath Date: Sep 1, 2005 Time: 10:30:13 AM To change this template use File | Settings | File Templates. describes connectors used to attach physical elements togather for eg RJ45 jacks, PCI slots, ports getConnectedTo(PhysicalConn), getNextAdjacentSlot(Slot)

Naming Rules:
  0="parent,name,relativePosition" 1="managedSystemName"
Persistable:
  true
Table Name:
  PHYSCON
Display Name:
  parent,name

Field Summary
`static int` | `BACKPLANE`
`static int` | `CHASSIS`
`static int` | `FAN`
`static int` | `MODULE`
`static int` | `OTHER`
`static int` | `PORT`
`static int` | `POWERSUPPLY`
`static int` | `RACK`
`static int` | `SENSOR`
`static int` | `SLOT`
`static int` | `UNKNOWN`

Fields inherited from interface com.collation.platform.model.topology.core.PhysicalElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getFWRevision()`
`java.lang.String` | `getHWRevision()`
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getName()`
`PhysicalPackage` | `getParent()`
`PhysicalConnector` | `getPhysicalConnectorsInConnector()`
`PhysicalPackage` | `getPhysicalPackageInConnector()`
`int` | `getRelativePosition()`
`java.lang.String` | `getSerialNumber()`
`java.lang.String` | `getSWRevision()`
`int` | `getType()`
`boolean` | `hasFWRevision()`
`boolean` | `hasHWRevision()`
`boolean` | `hasManufacturer()`
`boolean` | `hasModel()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPhysicalConnectorsInConnector()`
`boolean` | `hasPhysicalPackageInConnector()`
`boolean` | `hasRelativePosition()`
`boolean` | `hasSerialNumber()`
`boolean` | `hasSWRevision()`
`boolean` | `hasType()`
`void` | `setFWRevision(java.lang.String version)`
`void` | `setHWRevision(java.lang.String version)`
`void` | `setManufacturer(java.lang.String manufacturer)`
`void` | `setModel(java.lang.String model)`
`void` | `setName(java.lang.String tag)`
`void` | `setParent(PhysicalPackage parent)`
`void` | `setPhysicalConnectorsInConnector(PhysicalConnector physPackage)`
`void` | `setPhysicalPackageInConnector(PhysicalPackage physPackage)`
`void` | `setRelativePosition(int relativePosition)`
`void` | `setSerialNumber(java.lang.String serialNumber)`
`void` | `setSWRevision(java.lang.String version)`
`void` | `setType(int type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### OTHER

    static final int OTHER

See Also:
  Constant Field Values

### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

### CHASSIS

    static final int CHASSIS

See Also:
  Constant Field Values

### BACKPLANE

    static final int BACKPLANE

See Also:
  Constant Field Values

### SLOT

    static final int SLOT

See Also:
  Constant Field Values

### POWERSUPPLY

    static final int POWERSUPPLY

See Also:
  Constant Field Values

### FAN

    static final int FAN

See Also:
  Constant Field Values

### SENSOR

    static final int SENSOR

See Also:
  Constant Field Values

### MODULE

    static final int MODULE

See Also:
  Constant Field Values

### PORT

    static final int PORT

See Also:
  Constant Field Values

### RACK

    static final int RACK

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int type)

### hasType

    boolean hasType()

### getParent

    PhysicalPackage getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(PhysicalPackage parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String tag)

### hasName

    boolean hasName()

### getRelativePosition

    int getRelativePosition()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRelativePosition

    void setRelativePosition(int relativePosition)

### hasRelativePosition

    boolean hasRelativePosition()

### getManufacturer

    java.lang.String getManufacturer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturer

    void setManufacturer(java.lang.String manufacturer)

### hasManufacturer

    boolean hasManufacturer()

### getPhysicalPackageInConnector

    PhysicalPackage getPhysicalPackageInConnector()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPhysicalPackageInConnector

    void setPhysicalPackageInConnector(PhysicalPackage physPackage)

### hasPhysicalPackageInConnector

    boolean hasPhysicalPackageInConnector()

### getPhysicalConnectorsInConnector

    PhysicalConnector getPhysicalConnectorsInConnector()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPhysicalConnectorsInConnector

    void setPhysicalConnectorsInConnector(PhysicalConnector physPackage)

### hasPhysicalConnectorsInConnector

    boolean hasPhysicalConnectorsInConnector()

### getHWRevision

    java.lang.String getHWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHWRevision

    void setHWRevision(java.lang.String version)

### hasHWRevision

    boolean hasHWRevision()

### getModel

    java.lang.String getModel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModel

    void setModel(java.lang.String model)

### hasModel

    boolean hasModel()

### getSerialNumber

    java.lang.String getSerialNumber()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSerialNumber

    void setSerialNumber(java.lang.String serialNumber)

### hasSerialNumber

    boolean hasSerialNumber()

### getFWRevision

    java.lang.String getFWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFWRevision

    void setFWRevision(java.lang.String version)

### hasFWRevision

    boolean hasFWRevision()

### getSWRevision

    java.lang.String getSWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSWRevision

    void setSWRevision(java.lang.String version)

### hasSWRevision

    boolean hasSWRevision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD